org.apache.synapse.transport.nhttp

## Class NhttpConstants

- java.lang.Object
- - org.apache.synapse.transport.nhttp.NhttpConstants

-     public class NhttpConstants
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `BIND_ADDRESS`
    `static String` | `CLIENT_REMOTE_ADDR`
    `static String` | `CLIENT_REMOTE_PORT`
    `static String` | `CLIENT_WORKER_INIT_TIME`
    `static String` | `CLIENT_WORKER_START_TIME`
    `static int` | `CONNECT_CANCEL`
    `static int` | `CONNECT_TIMEOUT`
    `static int` | `CONNECTION_CLOSED`
    `static String` | `CONNECTION_DROPPED` Constant string to define the if the server/client connection is dropped.
    `static int` | `CONNECTION_FAILED`
    `static int` | `CONNECTION_TIMEOUT`
    `static String` | `CONTENT_TYPE`
    `static String` | `COPY_CONTENT_LENGTH_FROM_INCOMING`
    `static String` | `COUNT_CONNECTIONS` Configuration in nhttp.properties file for enable connection counting
    `static String` | `DEFAULT_CONTENT_TYPE`
    `static String` | `DEFAULT_MEDIATE_OPERATION` The default operation name used by the axis service
    `static int` | `DEFAULT_SOCKET_TIMEOUT`
    `static String` | `DISABLE_CHUNKING`
    `static String` | `DISABLE_KEEPALIVE`
    `static String` | `DISABLE_REST_SERVICE_DISPATCHING` This is a name of a parameter in transportReceiver.
    `static String` | `DISCARD_ON_COMPLETE`
    `static String` | `DISTRIBUTED_TRANSACTION`
    `static String` | `DISTRIBUTED_TRANSACTION_MANAGER`
    `static int` | `DYNAMIC_PROFILE_RELOAD_DEFAULT_INTERVAL` Default minimum interval which checks any configuration file updates for Dynamic SSL Profiles Default value is one minute in milliseconds.
    `static String` | `ENDPOINT_PREFIX`
    `static String` | `EPR_TO_SERVICE_NAME_MAP`
    `static String` | `ERROR_CODE` The message context property name which holds the error code for the last encountered exception
    `static String` | `ERROR_DETAIL` The message context property name which holds the error detail (stack trace) for the last encountered exception
    `static String` | `ERROR_EXCEPTION` The message context property name which holds the exception (if any) for the last encountered exception
    `static String` | `ERROR_MESSAGE` The MC property name which holds the error message for the last encountered exception
    `static String` | `EXCESS_TRANSPORT_HEADERS` This holds a MultiValue Map, which keeps transport headers' values other than last value (in order they appear) against the transport header.
    `static String` | `FAULT_MESSAGE` A message context property indicating "TRUE", if a transport or the message builder has information that the current message is a fault (e.g.
    `static String` | `FAULTS_AS_HTTP_200`
    `static String` | `FORCE_CLOSING` Denotes a connection close is forced if set at the NhttpContext
    `static String` | `FORCE_CONNECTION_CLOSE` Use to flag a connection close
    `static String` | `FORCE_HTTP_1_0`
    `static String` | `FORCE_HTTP_CONTENT_LENGTH`
    `static String` | `FORCE_SC_ACCEPTED`
    `static String` | `HEADER_X_FORWARDED_FOR` Ref X-Forwaded-For header
    `static String` | `HEADER_X_FORWARDED_HOST` Ref X-Forwaded-Host header
    `static String` | `HEADER_X_ORIGINATING_IP_FORM_1` Ref X-Originating-IP Form 1
    `static String` | `HEADER_X_ORIGINATING_IP_FORM_2` Ref X-Originating-IP Form 1
    `static String` | `HIDDEN_SERVICE_PARAM_NAME`
    `static String` | `HTTP_202_RECEIVED` A message context property indicating "TRUE", This will set on success scenarios
    `static String` | `HTTP_GET_PROCESSOR` This constant is used to plugin a custom WSDL processor for Get requests
    `static String` | `HTTP_HEAD` Http method type constants to be used in synapse
    `static String` | `HTTP_HEADERS_PRESERVE` Defines weather synapse needs to preserve the original Http headers.
    `static String` | `HTTP_REASON_PHRASE` Reason Phrase can be used to override the default English reason phrases for HTTP status codes Default reason codes and phrases are defined in RFC1945 (HTTP/1.0), RFC2616 (HTTP/1.1)
    `static String` | `HTTP_REQ_METHOD`
    `static String` | `HTTP_REQUEST_METHOD` Holds the method type of the incoming request
    `static String` | `HTTP_SC`
    `static String` | `IGNORE_SC_ACCEPTED`
    `static String` | `MC_CONTENT_TYPE`
    `static String` | `MESSAGE_IN_FLIGHT` Denotes a message is being processed by the current connection if this is set at the context
    `static String` | `MESSAGE_SIZE_VALIDATION_SUM` The largest request/response size the nhttp transport will be handling.
    `static String` | `MESSAGE_TYPE`
    `static String` | `NHTTP_INPUT_STREAM` Input stream of the message is set to this message context property
    `static String` | `NHTTP_OUTPUT_STREAM` Output stram of the message is set to this message context property
    `static String` | `NO_ENTITY_BODY`
    `static String` | `NO_KEEPALIVE`
    `static String` | `NON_BLOCKING_TRANSPORT`
    `static String` | `OPEN_CONNNECTIONS_MAP` This constant is used to hold the open connections map in the ConfigurationContext
    `static String` | `ORIGINAL_CONTENT_LEN` Used to keep backend responses content length
    `static String` | `ORIGINAL_MESSAGE_TYPE`
    `static String` | `PORT_OFFSET`
    `static String` | `POST_TO_URI`
    `static String` | `PREFERRED_CIPHERS` axis.xml config parameter that is used to specify the Weak Ciphers that need to be enabled
    `protected static String` | `PRIORITY_CONFIG_FILE_NAME`
    `static int` | `PROTOCOL_VIOLATION`
    `static String` | `PROXY_PROFILE_TARGET_HOST` Proxy profile target host identification.
    `static int` | `RCV_IO_ERROR_RECEIVING`
    `static int` | `RCV_IO_ERROR_SENDING`
    `static String` | `REMOTE_HOST`
    `static String` | `REQ_ARRIVAL_TIME`
    `static String` | `REQ_DEPARTURE_TIME`
    `static String` | `REQ_FROM_CLIENT_READ_END_TIME`
    `static String` | `REQ_FROM_CLIENT_READ_START_TIME`
    `static String` | `REQ_TO_BACKEND_WRITE_END_TIME`
    `static String` | `REQ_TO_BACKEND_WRITE_START_TIME`
    `static String` | `REQUEST_CONTENT_TYPE`
    `static String` | `REQUEST_HOST_HEADER` This property can be used to set the HOST header sent from the client to synapse
    `static String` | `REQUEST_READ`
    `static String` | `RES_ARRIVAL_TIME`
    `static String` | `RES_DEPARTURE_TIME`
    `static String` | `RES_FROM_BACKEND_READ_END_TIME`
    `static String` | `RES_FROM_BACKEND_READ_START_TIME`
    `static String` | `RES_HEADER_ARRIVAL_TIME`
    `static String` | `RES_TO_CLIENT_WRITE_END_TIME`
    `static String` | `RES_TO_CLIENT_WRITE_START_TIME`
    `static int` | `RESPONSE_PROCESSING_FAILURE`
    `static String` | `REST_REQUEST_CONTENT_TYPE`
    `static String` | `REST_URL_POSTFIX`
    `static String` | `SC_ACCEPTED`
    `static int` | `SEND_ABORT`
    `static String` | `SEND_TIMEOUT`
    `static String` | `SENDING_FAULT` An Axis2 message context property indicating a transport send failure
    `static String` | `SERIALIZED_BYTES`
    `static String` | `SERVER_HEADER_PRESERVE` Defines weather synapse needs to preserve the original Server header.
    `static String` | `SERVER_WORKER_INIT_TIME`
    `static String` | `SERVER_WORKER_START_TIME`
    `static String` | `SERVER_WORKER_THREAD_ID`
    `static String` | `SERVICE_PREFIX`
    `static String` | `SERVICE_URI_LOCATION`
    `static int` | `SND_IO_ERROR_RECEIVING`
    `static int` | `SND_IO_ERROR_SENDING`
    `static String` | `SO_TIMEOUT_RECEIVER` nhttp property that must be defined in nhttp.properties to set receiver timeout and sender timeout.
    `static String` | `SO_TIMEOUT_SENDER`
    `static String` | `SSL_CLIENT_AUTH_CERT_X509` X509 certificate chain for Mutual SSL connections
    `static String` | `SSL_VERIFY_CLIENT` axis2 configuration to enable Mutual SSL - verify client's certificate
    `static QName` | `SYNAPSE_OPERATION_NAME` The operation name used by the Synapse service (for message mediation)
    `static String` | `TRUE`
    `static String` | `USER_AGENT_HEADER_PRESERVE` Defines weather synapse needs to preserve the original User-Agent header.
    `static String` | `WSDL_EPR_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NhttpConstants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TRUE

          public static final String TRUE

      See Also:
        Constant Field Values

    - #### FAULT_MESSAGE

          public static final String FAULT_MESSAGE

      A message context property indicating "TRUE", if a transport or the message builder has information that the current message is a fault (e.g. SOAP faults, non-HTTP 2xx, etc)
      See Also:
        Constant Field Values

    - #### FAULTS_AS_HTTP_200

          public static final String FAULTS_AS_HTTP_200

      See Also:
        Constant Field Values

    - #### SC_ACCEPTED

          public static final String SC_ACCEPTED

      See Also:
        Constant Field Values

    - #### HTTP_SC

          public static final String HTTP_SC

      See Also:
        Constant Field Values

    - #### HTTP_REASON_PHRASE

          public static final String HTTP_REASON_PHRASE

      Reason Phrase can be used to override the default English reason phrases for HTTP status codes Default reason codes and phrases are defined in RFC1945 (HTTP/1.0), RFC2616 (HTTP/1.1)
      See Also:
        Constant Field Values

    - #### FORCE_HTTP_1_0

          public static final String FORCE_HTTP_1_0

      See Also:
        Constant Field Values

    - #### FORCE_HTTP_CONTENT_LENGTH

          public static final String FORCE_HTTP_CONTENT_LENGTH

      See Also:
        Constant Field Values

    - #### COPY_CONTENT_LENGTH_FROM_INCOMING

          public static final String COPY_CONTENT_LENGTH_FROM_INCOMING

      See Also:
        Constant Field Values

    - #### DISABLE_CHUNKING

          public static final String DISABLE_CHUNKING

      See Also:
        Constant Field Values

    - #### POST_TO_URI

          public static final String POST_TO_URI

      See Also:
        Constant Field Values

    - #### NO_KEEPALIVE

          public static final String NO_KEEPALIVE

      See Also:
        Constant Field Values

    - #### DISABLE_KEEPALIVE

          public static final String DISABLE_KEEPALIVE

      See Also:
        Constant Field Values

    - #### IGNORE_SC_ACCEPTED

          public static final String IGNORE_SC_ACCEPTED

      See Also:
        Constant Field Values

    - #### FORCE_SC_ACCEPTED

          public static final String FORCE_SC_ACCEPTED

      See Also:
        Constant Field Values

    - #### DISCARD_ON_COMPLETE

          public static final String DISCARD_ON_COMPLETE

      See Also:
        Constant Field Values

    - #### MESSAGE_TYPE

          public static final String MESSAGE_TYPE

      See Also:
        Constant Field Values

    - #### ORIGINAL_MESSAGE_TYPE

          public static final String ORIGINAL_MESSAGE_TYPE

      See Also:
        Constant Field Values

    - #### MC_CONTENT_TYPE

          public static final String MC_CONTENT_TYPE

      See Also:
        Constant Field Values

    - #### WSDL_EPR_PREFIX

          public static final String WSDL_EPR_PREFIX

      See Also:
        Constant Field Values

    - #### REMOTE_HOST

          public static final String REMOTE_HOST

      See Also:
        Constant Field Values

    - #### BIND_ADDRESS

          public static final String BIND_ADDRESS

      See Also:
        Constant Field Values

    - #### SERVICE_URI_LOCATION

          public static final String SERVICE_URI_LOCATION

      See Also:
        Constant Field Values

    - #### EPR_TO_SERVICE_NAME_MAP

          public static final String EPR_TO_SERVICE_NAME_MAP

      See Also:
        Constant Field Values

    - #### NON_BLOCKING_TRANSPORT

          public static final String NON_BLOCKING_TRANSPORT

      See Also:
        Constant Field Values

    - #### SERIALIZED_BYTES

          public static final String SERIALIZED_BYTES

      See Also:
        Constant Field Values

    - #### REQUEST_READ

          public static final String REQUEST_READ

      See Also:
        Constant Field Values

    - #### CONTENT_TYPE

          public static final String CONTENT_TYPE

      See Also:
        Constant Field Values

    - #### REQUEST_CONTENT_TYPE

          public static final String REQUEST_CONTENT_TYPE

      See Also:
        Constant Field Values

    - #### DEFAULT_CONTENT_TYPE

          public static final String DEFAULT_CONTENT_TYPE

      See Also:
        Constant Field Values

    - #### SEND_TIMEOUT

          public static final String SEND_TIMEOUT

      See Also:
        Constant Field Values

    - #### HIDDEN_SERVICE_PARAM_NAME

          public static final String HIDDEN_SERVICE_PARAM_NAME

      See Also:
        Constant Field Values

    - #### SENDING_FAULT

          public static final String SENDING_FAULT

      An Axis2 message context property indicating a transport send failure
      See Also:
        Constant Field Values

    - #### ERROR_CODE

          public static final String ERROR_CODE

      The message context property name which holds the error code for the last encountered exception
      See Also:
        Constant Field Values

    - #### ERROR_MESSAGE

          public static final String ERROR_MESSAGE

      The MC property name which holds the error message for the last encountered exception
      See Also:
        Constant Field Values

    - #### ERROR_DETAIL

          public static final String ERROR_DETAIL

      The message context property name which holds the error detail (stack trace) for the last encountered exception
      See Also:
        Constant Field Values

    - #### ERROR_EXCEPTION

          public static final String ERROR_EXCEPTION

      The message context property name which holds the exception (if any) for the last encountered exception
      See Also:
        Constant Field Values

    - #### USER_AGENT_HEADER_PRESERVE

          public static final String USER_AGENT_HEADER_PRESERVE

      Defines weather synapse needs to preserve the original User-Agent header. Configures through nhttp.properties file or via a system property
      See Also:
        Constant Field Values

    - #### SERVER_HEADER_PRESERVE

          public static final String SERVER_HEADER_PRESERVE

      Defines weather synapse needs to preserve the original Server header. Configures through nhttp.properties file or via a system property
      See Also:
        Constant Field Values

    - #### HTTP_HEADERS_PRESERVE

          public static final String HTTP_HEADERS_PRESERVE

      Defines weather synapse needs to preserve the original Http headers. Configures through nhttp.properties file
      See Also:
        Constant Field Values

    - #### FORCE_CLOSING

          public static final String FORCE_CLOSING

      Denotes a connection close is forced if set at the NhttpContext
      See Also:
        Constant Field Values

    - #### MESSAGE_IN_FLIGHT

          public static final String MESSAGE_IN_FLIGHT

      Denotes a message is being processed by the current connection if this is set at the context
      See Also:
        Constant Field Values

    - #### RCV_IO_ERROR_SENDING

          public static final int RCV_IO_ERROR_SENDING

      See Also:
        Constant Field Values

    - #### RCV_IO_ERROR_RECEIVING

          public static final int RCV_IO_ERROR_RECEIVING

      See Also:
        Constant Field Values

    - #### SND_IO_ERROR_SENDING

          public static final int SND_IO_ERROR_SENDING

      See Also:
        Constant Field Values

    - #### SND_IO_ERROR_RECEIVING

          public static final int SND_IO_ERROR_RECEIVING

      See Also:
        Constant Field Values

    - #### CONNECTION_FAILED

          public static final int CONNECTION_FAILED

      See Also:
        Constant Field Values

    - #### CONNECTION_TIMEOUT

          public static final int CONNECTION_TIMEOUT

      See Also:
        Constant Field Values

    - #### CONNECTION_CLOSED

          public static final int CONNECTION_CLOSED

      See Also:
        Constant Field Values

    - #### PROTOCOL_VIOLATION

          public static final int PROTOCOL_VIOLATION

      See Also:
        Constant Field Values

    - #### CONNECT_CANCEL

          public static final int CONNECT_CANCEL

      See Also:
        Constant Field Values

    - #### CONNECT_TIMEOUT

          public static final int CONNECT_TIMEOUT

      See Also:
        Constant Field Values

    - #### SEND_ABORT

          public static final int SEND_ABORT

      See Also:
        Constant Field Values

    - #### RESPONSE_PROCESSING_FAILURE

          public static final int RESPONSE_PROCESSING_FAILURE

      See Also:
        Constant Field Values

    - #### REST_URL_POSTFIX

          public static final String REST_URL_POSTFIX

      See Also:
        Constant Field Values

    - #### SERVICE_PREFIX

          public static final String SERVICE_PREFIX

      See Also:
        Constant Field Values

    - #### HTTP_REQ_METHOD

          public static final String HTTP_REQ_METHOD

      See Also:
        Constant Field Values

    - #### NO_ENTITY_BODY

          public static final String NO_ENTITY_BODY

      See Also:
        Constant Field Values

    - #### ENDPOINT_PREFIX

          public static final String ENDPOINT_PREFIX

      See Also:
        Constant Field Values

    - #### PRIORITY_CONFIG_FILE_NAME

          protected static final String PRIORITY_CONFIG_FILE_NAME

      See Also:
        Constant Field Values

    - #### REST_REQUEST_CONTENT_TYPE

          public static final String REST_REQUEST_CONTENT_TYPE

      See Also:
        Constant Field Values

    - #### OPEN_CONNNECTIONS_MAP

          public static final String OPEN_CONNNECTIONS_MAP

      This constant is used to hold the open connections map in the ConfigurationContext
      See Also:
        Constant Field Values

    - #### COUNT_CONNECTIONS

          public static final String COUNT_CONNECTIONS

      Configuration in nhttp.properties file for enable connection counting
      See Also:
        Constant Field Values

    - #### REQ_ARRIVAL_TIME

          public static final String REQ_ARRIVAL_TIME

      See Also:
        Constant Field Values

    - #### REQ_DEPARTURE_TIME

          public static final String REQ_DEPARTURE_TIME

      See Also:
        Constant Field Values

    - #### RES_ARRIVAL_TIME

          public static final String RES_ARRIVAL_TIME

      See Also:
        Constant Field Values

    - #### RES_HEADER_ARRIVAL_TIME

          public static final String RES_HEADER_ARRIVAL_TIME

      See Also:
        Constant Field Values

    - #### RES_DEPARTURE_TIME

          public static final String RES_DEPARTURE_TIME

      See Also:
        Constant Field Values

    - #### REQ_FROM_CLIENT_READ_START_TIME

          public static final String REQ_FROM_CLIENT_READ_START_TIME

      See Also:
        Constant Field Values

    - #### REQ_FROM_CLIENT_READ_END_TIME

          public static final String REQ_FROM_CLIENT_READ_END_TIME

      See Also:
        Constant Field Values

    - #### REQ_TO_BACKEND_WRITE_START_TIME

          public static final String REQ_TO_BACKEND_WRITE_START_TIME

      See Also:
        Constant Field Values

    - #### REQ_TO_BACKEND_WRITE_END_TIME

          public static final String REQ_TO_BACKEND_WRITE_END_TIME

      See Also:
        Constant Field Values

    - #### RES_FROM_BACKEND_READ_START_TIME

          public static final String RES_FROM_BACKEND_READ_START_TIME

      See Also:
        Constant Field Values

    - #### RES_FROM_BACKEND_READ_END_TIME

          public static final String RES_FROM_BACKEND_READ_END_TIME

      See Also:
        Constant Field Values

    - #### RES_TO_CLIENT_WRITE_START_TIME

          public static final String RES_TO_CLIENT_WRITE_START_TIME

      See Also:
        Constant Field Values

    - #### RES_TO_CLIENT_WRITE_END_TIME

          public static final String RES_TO_CLIENT_WRITE_END_TIME

      See Also:
        Constant Field Values

    - #### SERVER_WORKER_INIT_TIME

          public static final String SERVER_WORKER_INIT_TIME

      See Also:
        Constant Field Values

    - #### SERVER_WORKER_START_TIME

          public static final String SERVER_WORKER_START_TIME

      See Also:
        Constant Field Values

    - #### CLIENT_WORKER_INIT_TIME

          public static final String CLIENT_WORKER_INIT_TIME

      See Also:
        Constant Field Values

    - #### CLIENT_WORKER_START_TIME

          public static final String CLIENT_WORKER_START_TIME

      See Also:
        Constant Field Values

    - #### CLIENT_REMOTE_ADDR

          public static final String CLIENT_REMOTE_ADDR

      See Also:
        Constant Field Values

    - #### CLIENT_REMOTE_PORT

          public static final String CLIENT_REMOTE_PORT

      See Also:
        Constant Field Values

    - #### DISABLE_REST_SERVICE_DISPATCHING

          public static final String DISABLE_REST_SERVICE_DISPATCHING

      This is a name of a parameter in transportReceiver. If set it will disable service dispatching inside the transport for rest messages
      See Also:
        Constant Field Values

    - #### NHTTP_INPUT_STREAM

          public static final String NHTTP_INPUT_STREAM

      Input stream of the message is set to this message context property
      See Also:
        Constant Field Values

    - #### NHTTP_OUTPUT_STREAM

          public static final String NHTTP_OUTPUT_STREAM

      Output stram of the message is set to this message context property
      See Also:
        Constant Field Values

    - #### HTTP_202_RECEIVED

          public static final String HTTP_202_RECEIVED

      A message context property indicating "TRUE", This will set on success scenarios
      See Also:
        Constant Field Values

    - #### HTTP_GET_PROCESSOR

          public static final String HTTP_GET_PROCESSOR

      This constant is used to plugin a custom WSDL processor for Get requests
      See Also:
        Constant Field Values

    - #### FORCE_CONNECTION_CLOSE

          public static final String FORCE_CONNECTION_CLOSE

      Use to flag a connection close
      See Also:
        Constant Field Values

    - #### PORT_OFFSET

          public static final String PORT_OFFSET

      See Also:
        Constant Field Values

    - #### HEADER_X_FORWARDED_FOR

          public static final String HEADER_X_FORWARDED_FOR

      Ref X-Forwaded-For header
      See Also:
        Constant Field Values

    - #### HEADER_X_FORWARDED_HOST

          public static final String HEADER_X_FORWARDED_HOST

      Ref X-Forwaded-Host header
      See Also:
        Constant Field Values

    - #### HEADER_X_ORIGINATING_IP_FORM_1

          public static final String HEADER_X_ORIGINATING_IP_FORM_1

      Ref X-Originating-IP Form 1
      See Also:
        Constant Field Values

    - #### HEADER_X_ORIGINATING_IP_FORM_2

          public static final String HEADER_X_ORIGINATING_IP_FORM_2

      Ref X-Originating-IP Form 1
      See Also:
        Constant Field Values

    - #### EXCESS_TRANSPORT_HEADERS

          public static final String EXCESS_TRANSPORT_HEADERS

      This holds a MultiValue Map, which keeps transport headers' values other than last value (in order they appear) against the transport header.
      See Also:
        Constant Field Values

    - #### REQUEST_HOST_HEADER

          public static final String REQUEST_HOST_HEADER

      This property can be used to set the HOST header sent from the client to synapse
      See Also:
        Constant Field Values

    - #### SO_TIMEOUT_RECEIVER

          public static final String SO_TIMEOUT_RECEIVER

      nhttp property that must be defined in nhttp.properties to set receiver timeout and sender timeout.
      See Also:
        Constant Field Values

    - #### SO_TIMEOUT_SENDER

          public static final String SO_TIMEOUT_SENDER

      See Also:
        Constant Field Values

    - #### SERVER_WORKER_THREAD_ID

          public static final String SERVER_WORKER_THREAD_ID

      See Also:
        Constant Field Values

    - #### DYNAMIC_PROFILE_RELOAD_DEFAULT_INTERVAL

          public static final int DYNAMIC_PROFILE_RELOAD_DEFAULT_INTERVAL

      Default minimum interval which checks any configuration file updates for Dynamic SSL Profiles Default value is one minute in milliseconds.
      See Also:
        Constant Field Values

    - #### HTTP_HEAD

          public static final String HTTP_HEAD

      Http method type constants to be used in synapse
      See Also:
        Constant Field Values

    - #### ORIGINAL_CONTENT_LEN

          public static final String ORIGINAL_CONTENT_LEN

      Used to keep backend responses content length
      See Also:
        Constant Field Values

    - #### HTTP_REQUEST_METHOD

          public static final String HTTP_REQUEST_METHOD

      Holds the method type of the incoming request
      See Also:
        Constant Field Values

    - #### SSL_CLIENT_AUTH_CERT_X509

          public static final String SSL_CLIENT_AUTH_CERT_X509

      X509 certificate chain for Mutual SSL connections
      See Also:
        Constant Field Values

    - #### SSL_VERIFY_CLIENT

          public static final String SSL_VERIFY_CLIENT

      axis2 configuration to enable Mutual SSL - verify client's certificate
      See Also:
        Constant Field Values

    - #### DISTRIBUTED_TRANSACTION

          public static final String DISTRIBUTED_TRANSACTION

      See Also:
        Constant Field Values

    - #### DISTRIBUTED_TRANSACTION_MANAGER

          public static final String DISTRIBUTED_TRANSACTION_MANAGER

      See Also:
        Constant Field Values

    - #### PROXY_PROFILE_TARGET_HOST

          public static final String PROXY_PROFILE_TARGET_HOST

      Proxy profile target host identification. This is the same value as the passthru constant
      See Also:
        Constant Field Values

    - #### PREFERRED_CIPHERS

          public static final String PREFERRED_CIPHERS

      axis.xml config parameter that is used to specify the Weak Ciphers that need to be enabled
      See Also:
        Constant Field Values

    - #### MESSAGE_SIZE_VALIDATION_SUM

          public static final String MESSAGE_SIZE_VALIDATION_SUM

      The largest request/response size the nhttp transport will be handling. Same as the passthru constant.
      See Also:
        Constant Field Values

    - #### CONNECTION_DROPPED

          public static final String CONNECTION_DROPPED

      Constant string to define the if the server/client connection is dropped.
      See Also:
        Constant Field Values

    - #### DEFAULT_SOCKET_TIMEOUT

          public static final int DEFAULT_SOCKET_TIMEOUT

      See Also:
        Constant Field Values

    - #### SYNAPSE_OPERATION_NAME

          public static final QName SYNAPSE_OPERATION_NAME

      The operation name used by the Synapse service (for message mediation)

    - #### DEFAULT_MEDIATE_OPERATION

          public static final String DEFAULT_MEDIATE_OPERATION

      The default operation name used by the axis service
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### NhttpConstants

          public NhttpConstants()

Copyright © 2005–2019 Apache Software Foundation. All rights reserved.